<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.dskj.daikuan">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.SYSTEM_OVERLAY_WINDOW" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_INTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_INTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_CONTACTS"/>
<!--    <uses-permission android:name="android.permission.CALL_PHONE"/>-->
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    <uses-permission android:name="android.permission.RECORD_AUDIO"/>
    <uses-feature android:name="android.hardware.camera.front" />

    <application
        android:name=".InitApp"
        android:allowBackup="true"
        android:icon="@mipmap/logo_2"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:networkSecurityConfig="@xml/network_security_config"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/logo_2"
        android:supportsRtl="true"
        android:theme="@style/AppThemeLogin"
        android:usesCleartextTraffic="true"
        tools:replace="android:allowBackup,android:icon">
<!--        <meta-data-->
<!--            android:name="com.google.android.actions"-->
<!--            android:resource="@xml/animate" />-->

        <uses-library
            android:name="org.apache.http.legacy"
            android:required="false" />

        <activity
            android:name=".ui.activity.StartUpActivity"
            android:screenOrientation="portrait"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.dskj.daikuan.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true"
            tools:replace="android:authorities">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths"
                tools:replace="android:resource" />
        </provider>

        <activity
            android:name=".ui.activity.MainActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:exported="true"></activity>
        <activity
            android:name=".ui.activity.LoginActivity"
            android:screenOrientation="portrait"
            android:exported="true"></activity>
        <activity
            android:name=".ui.activity.ShenQingActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:theme="@style/AppThemeLoginMM"
            android:exported="true"></activity>
        <activity
            android:name=".ui.activity.XiangQingActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:exported="true"></activity>

    </application>

</manifest>